// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_FunctionTerminator.h"

#include "K2Node_FunctionTerminator.h"
#include "SCW_UK2Node_EditablePinBase.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_FunctionTerminator::SCW_UK2Node_FunctionTerminator(UK2Node_FunctionTerminator* InK2Node_FunctionTerminator) : SCW_UK2Node_EditablePinBase(InK2Node_FunctionTerminator), K2Node_FunctionTerminator(InK2Node_FunctionTerminator)
{

}

ISCW_UFunctionPtr SCW_UK2Node_FunctionTerminator::FindSignatureFunction() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*K2Node_FunctionTerminator->FindSignatureFunction());
}

ISCW_FMemberReferencePtr SCW_UK2Node_FunctionTerminator::GetFunctionReference() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(K2Node_FunctionTerminator->FunctionReference);
}

UK2Node_FunctionTerminator* SCW_UK2Node_FunctionTerminator::ToUK2Node_FunctionTerminator() const
{
	return K2Node_FunctionTerminator;
}
